# ARXCertificate (ARX API Documentation)

org.deidentifier.arx.certificate

## Class ARXCertificate

- java.lang.Object
- - org.deidentifier.arx.certificate.ARXCertificate

-     public class ARXCertificate
      extends java.lang.Object

  A PDF document

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ARXCertificate` | `create(DataHandle input, DataDefinition definition, ARXConfiguration config, ARXResult result, ARXLattice.ARXNode transformation, DataHandle output)` Creates a new instance
    `static ARXCertificate` | `create(DataHandle input, DataDefinition definition, ARXConfiguration config, ARXResult result, ARXLattice.ARXNode transformation, DataHandle output, CSVSyntax syntax)` Renders the document into the given output stream.
    `static ARXCertificate` | `create(DataHandle input, DataDefinition definition, ARXConfiguration config, ARXResult result, ARXLattice.ARXNode transformation, DataHandle output, CSVSyntax syntax, ElementData metadata)` Renders the document into the given output stream.
    `void` | `save(java.io.File file)` Renders the document into the given output stream
    `void` | `save(java.io.OutputStream stream)` Renders the document into the given output stream

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### create

          public static ARXCertificate create(DataHandle input,
                              DataDefinition definition,
                              ARXConfiguration config,
                              ARXResult result,
                              ARXLattice.ARXNode transformation,
                              DataHandle output)

      Creates a new instance
      Parameters:
        `input` -
        `definition` -
        `config` -
        `result` -
        `transformation` -
        `output` -

    - #### create

          public static ARXCertificate create(DataHandle input,
                              DataDefinition definition,
                              ARXConfiguration config,
                              ARXResult result,
                              ARXLattice.ARXNode transformation,
                              DataHandle output,
                              CSVSyntax syntax)

      Renders the document into the given output stream. Includes a SHA-256 checksum of the output data.
      Parameters:
        `input` -
        `definition` -
        `config` -
        `result` -
        `transformation` -
        `output` -
        `syntax` -

    - #### create

          public static ARXCertificate create(DataHandle input,
                              DataDefinition definition,
                              ARXConfiguration config,
                              ARXResult result,
                              ARXLattice.ARXNode transformation,
                              DataHandle output,
                              CSVSyntax syntax,
                              ElementData metadata)

      Renders the document into the given output stream. Includes a SHA-256 checksum of the output data and user defined metadata
      Parameters:
        `input` -
        `definition` -
        `config` -
        `result` -
        `transformation` -
        `output` -
        `syntax` -
        `metadata` -

    - #### save

          public void save(java.io.File file)
                    throws java.io.IOException

      Renders the document into the given output stream
      Parameters:
        `file` -
      Throws:
        `java.io.IOException`

    - #### save

          public void save(java.io.OutputStream stream)
                    throws java.io.IOException

      Renders the document into the given output stream
      Parameters:
        `stream` -
      Throws:
        `java.io.IOException`